OnlyFans API
FanslyEarnings

List Wallets

Get all wallets for the Fansly Account. Type 1 is the standard wallet; type 2 is "Available for Payout" (always present for creators).

GET
/api/fansly/{fanslyAccount}/earnings/wallets
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

fanslyAccount*string

The Fansly Account ID

Response Body

application/json

curl -X GET "https://app.onlyfansapi.com/api/fansly/fansly_acct_XXXXXXXXXXXXXXX/earnings/wallets"
{
  "data": [
    {
      "id": "600000000000000001",
      "balance": 105000,
      "balance64": "105000",
      "accountId": "800000000000000001",
      "type": 1,
      "flags": 0,
      "walletVersion": 1
    },
    {
      "id": "600000000000000002",
      "balance": 50000,
      "balance64": "50000",
      "accountId": "800000000000000001",
      "type": 2,
      "flags": 0,
      "walletVersion": 1
    }
  ],
  "_meta": {
    "_credits": {
      "used": 1,
      "balance": 10055767,
      "note": "Always"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 5000,
      "limit_day": null,
      "remaining_minute": 4999,
      "remaining_day": null,
      "notice": "We have decided to remove our daily rate limits. Please remove any references to these in your integrations."
    }
  }
}